Bug 55017 - kernel 2.4.9 has 1Gb memory limit
Summary: kernel 2.4.9 has 1Gb memory limit
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i586 Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-24 14:16 UTC by Ron Yorgason
Modified: 2007-04-18 16:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-24 20:06:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ron Yorgason 2001-10-24 14:16:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-7 i686)

Description of problem:
I used up2date to get the latest kernel from RedHat, kernel 2.4.9-7.  But
after I installed it, my memory as shown in 'top' was only 900Mb instead of
1.5Gb.  Whoever made this kernel didn't enable the '> 1Gb RAM' option in
the kernel.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install > 1Gb RAM in system
2. Boot to 2.4.9-7 kernel
3. See only 900Mb of RAM
	

Actual Results:  I see only 900Mb of RAM

Expected Results:  I should've seen 1.5Gb, as the RH kernel 2.4.7 showed

Additional info:

Comment 1 Arjan van de Ven 2001-10-24 14:22:44 UTC
Can you run the following command to see which architecture kernel you have
installed:

rpm -q --qf "%{ARCH}" kernel

Comment 2 Ron Yorgason 2001-10-24 14:26:47 UTC
rpm -q --qf "%{ARCH}" kernel
athloni386

Comment 3 Arjan van de Ven 2001-10-24 14:34:56 UTC
Ok so you have an athlon kernel and an i386 kernel...
the second one will be the one up2date send you; the i386 kernel doesn't have
support for > 1Gb indeed; the athlon and i686 ones do.

I'll assign this bug to up2date as that's where the bug is;
to get your system back to working the easiest will be to manually download the
athlon 2.4.9-7 rpm and rpm -e kernel-2.4.9-7 and then rpm -i the downloaded
athlon kernel.


Comment 4 Adrian Likins 2001-10-24 20:06:11 UTC
The next version of the client will properly handle athlon kernels.

Comment 5 Adrian Likins 2002-05-08 22:09:46 UTC
This should be fixed in all current versions of the client.


Note You need to log in before you can comment on or make changes to this bug.